﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinToolbars;
using Infragistics.Win.UltraWinSchedule;

namespace RibbonControlContainer
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            RibbonTab tab = ultraToolbarsManager1.Ribbon.Tabs.Add("Tab1");
            tab.Caption = "RunTimeTab";
            RibbonGroup group = tab.Groups.Add("gr1");
            group.Caption = "RunTimeGroup";
            ControlContainerTool cont1 = new ControlContainerTool("cont1");
            cont1.SharedProps.Caption = "Cont1";

            UltraCalendarCombo ucc1 = new UltraCalendarCombo();
            cont1.Control = ucc1;
            
            ultraToolbarsManager1.Tools.Add(cont1);

            ControlContainerTool cont2 = new ControlContainerTool("cont2");
            cont2.SharedProps.Caption = "Cont2";

            UltraCalendarCombo ucc2 = new UltraCalendarCombo();
            cont2.Control = ucc2;

            ultraToolbarsManager1.Tools.Add(cont2);

            group.Tools.AddTool("cont1");
            group.Tools.AddTool("cont2");
            group.Tools["cont1"].InstanceProps.PreferredSizeOnRibbon = RibbonToolSize.Normal;
            group.Tools["cont1"].InstanceProps.MinimumSizeOnRibbon = RibbonToolSize.Normal;
            group.Tools["cont2"].InstanceProps.PreferredSizeOnRibbon = RibbonToolSize.Normal;
            group.Tools["cont2"].InstanceProps.MinimumSizeOnRibbon = RibbonToolSize.Normal;
            
            
        }
    }
}
